package com.brilliance.isc.vo.lg;

import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.common.trnmod.vo.SwiaddVo;
import com.brilliance.isc.vo.model.Gcdgrp;
import com.brilliance.isc.vo.model.Gidgrp;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;


import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class GetpcrStoreVo extends BaseTransactionVo {
    private Gidgrp gidgrp;
    private Gcdgrp gcdgrp;;
    private SwiaddVo swiadd;
    private String nxtflg= NULLSTR;
    private String extpay = NULLSTR;
    private String clmtxt = NULLSTR;
    private String clmtxts20 = NULLSTR;
    private Boolean adaflg = false;

    @Override
    public void reset() {
        super.reset();
        if (gidgrp == null) {
            gidgrp = new Gidgrp();
        }
        if (gcdgrp == null) {
            gcdgrp = new Gcdgrp();
        }
        if(swiadd == null){
            swiadd = new SwiaddVo();
        }
    }
}
